Create Blueprint
POST
Create a TaskBlueprint (workflow) owned by the caller's organization. Superusers may set is_global to create a global workflow visible to every organization; it may only use global tasks (422 otherwise). Anyone else gets 403.
HTTPBearerheader
AuthorizationBearer <token>application/json- body
Create a workflow. is_global (superusers only, 403 otherwise) makes it visible to every organization; a global workflow may only use global tasks.
name*Namedescription?string|nullowner_id?integer|nulljob_ids*array<integer>is_global?Is GlobalDefault
falseSuccessful Response
application/json- response
name*Namedescription?string|nullowner_id?integer|nullid*Idjobs*array<>created_at*Created AtFormat
date-timeupdated_at*Updated AtFormat
date-timecurl -X POST 'https://app.copyhero.app/api/v1/blueprints/tasks/' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "job_ids": [ 0 ]}'Example Response
{ "name": "string", "description": "string", "owner_id": 0, "id": 0, "jobs": [ { "name": "string", "description": "string", "job_type": "string", "input_data": "string", "id": 0, "owner_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}